﻿@using JobHunt.BU.Manage
@using JobHunt.BU.DTO
@using Microsoft.AspNet.Identity
@{
    var InfoCandidate = (CandidateDTO)(new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId()));
    var url = Request.Url.ToString();
}
@if (Request.IsAuthenticated)
{
    if (User.IsInRole("Người tìm việc"))
    {
        <div class="my-profiles-sec">
            <span><img src="@InfoCandidate.CPAvatar" alt="" style="width: 50px; height: 50px" class="avatarlinkclass"> @User.Identity.Name <i class="la la-bars"></i></span>
        </div>
        #region
        <div class="profile-sidebar">
            <span class="close-profile"><i class="la la-close"></i></span>
            <div class="can-detail-s">
                <div class="cst"><img src="@InfoCandidate.CPAvatar" alt="Ảnh đại diện" class="avatarlinkclass" /></div>
                <h3>@User.Identity.Name</h3>
                <p>@InfoCandidate.CddEmail</p>
                <p>Thành viên từ @InfoCandidate.CddRegisterDate.Value.ToString("dd/MM/yyyy")</p>
                <p><i class="la la-map-marker"></i>@InfoCandidate.CddAddress</p>
            </div>
            <div class="tree_widget-sec">
                <ul>
                    <li class="inner-child">
                        <a title=""><i class="la la-briefcase"></i>Hồ sơ cá nhân</a>
                        <ul>
                            <li><a href="@Url.Action("CandidateProfile","Candidate")" title="">Quản lý hồ sơ</a></li>
                            <li><a href="@Url.Action("CandidateUploadCV","Candidate")" title="">CV - Hồ sơ đính kèm</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-paper-plane"></i>Việc làm của tôi</a>
                        <ul>
                            <li><a href="@Url.Action("SaveJobs","Candidate")" title="">Việc đã lưu</a></li>
                            <li><a href="@Url.Action("AppliedJobs","Candidate")" title="">Việc đã ứng tuyển</a></li>
                        </ul>
                    </li>
                    <li>
                        <a href="@Url.Action("ChangePassword","Candidate")" title=""><i class="la la-flash"></i>Đổi mật khẩu</a>
                    </li>
                    @*<li class="inner-child">
                            <a href="#" title=""><i class="la la-user"></i>Tài khoản</a>
                            <ul>
                                <li><a href="@Url.Action("UpdateAccount","Candidate")" title="">Chỉnh sửa tài khoản</a></li>
                            </ul>
                        </li>*@
                    <li>
                        @using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                        {
                            @Html.AntiForgeryToken()
                            <a href="javascript:document.getElementById('logoutForm').submit()" title="Đăng xuất khỏi hệ thống"><i class="la la-unlink"></i> Đăng xuất</a>

                        }

                    </li>
                </ul>
            </div>
        </div><!-- Profile Sidebar -->
        #endregion
    }
    else if (User.IsInRole("Người tuyển dụng"))
    {
        <div class="btns-profiles-sec">
            <span><img src="~/Assets/client/images/avatar-default.png" alt="Ảnh đại diện" style="width: 50px; height: 50px"> @User.Identity.Name <i class="la la-angle-down"></i></span>
            <ul style="z-index: 9">
                <li><a href="@Url.Action("ProfileRecruit","Recruit")" title=""><i class="la la-file-text"></i> Hồ sơ công ty</a></li>
                <li><a href="@Url.Action("ListJobsPost","Recruit")" title=""><i class="la la-briefcase"></i> Quản lý công việc</a></li>
                @*<li><a href="@Url.Action("PostJob","Recruit")" title=""><i class="la la-leaf"></i> Đăng tin tuyển dụng</a></li>*@
                <li><a href="@Url.Action("ChangePassword","Recruit")" title=""><i class="la la-key"></i> Đổi mật khẩu</a></li>
                <li>
                    @using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                    {
                        @Html.AntiForgeryToken()
                        <a href="javascript:document.getElementById('logoutForm').submit()" title="Đăng xuất khỏi hệ thống" class="logout"><i class="la la-history"></i> Đăng xuất</a>

                    }

                </li>
            </ul>
        </div>
    }
    else
    {
        <div class="btn-extars">
            <ul class="account-btns">
                <li>
                    <a href="@Url.Action("", "DashBoard", new { Area = "Admin" })" title="">Quản lý</a>

                </li>
                <li>
                    @using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                    {
                        @Html.AntiForgeryToken()
                        <a href="javascript:document.getElementById('logoutForm').submit()" title="Đăng xuất khỏi hệ thống"><i class="la la-unlink"></i> Đăng xuất</a>

                    }
                </li>
            </ul>
        </div><!-- Btn Extras -->
    }

}
else
{
    <div class="btn-extars">
        @*<a href="#" title="" class="post-job-btn"><i class="la la-plus"></i>Post Jobs</a>*@

        @if (url.ToLower().Contains("/login") || url.ToLower().Contains("/register"))
        {

        }
        else
        {
            <ul class="account-btns">
                <li class="signup-popup"><a title="Đăng ký tài khoản"><i class="la la-key"></i> Đăng ký</a></li>
                <li class="signin-popup"><a title="Đăng nhập hệ thống"><i class="la la-external-link-square"></i> Đăng nhập</a></li>
            </ul>
        }

    </div><!-- Btn Extras -->
    if (!url.ToLower().Contains("/login"))
    {
        <div class="account-popup-area signin-popup-box">
            <div class="account-popup">
                <span class="close-popup"><i class="la la-close"></i></span>
                <h3>Đăng nhập</h3>
                <div class="select-user">
                    <span id="candidatelogin" class="logintype">Ứng Viên</span>
                    <span id="employerlogin" class="logintype">Nhà Tuyển Dụng</span>
                </div>
                @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form", id = "__AjaxAntiForgeryForm" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="cfield">
                        <input type="text" placeholder="Email" name="Email" id="EmailLogin" />
                        <i class="la la-user"></i>
                    </div>
                    <div class="cfield">
                        <input type="password" placeholder="********" name="Password" id="PassLogin" />
                        <i class="la la-key"></i>
                    </div>
                    <p class="remember-label">
                        <input type="checkbox" name="RememberMe" id="RememberMe"><label for="RememberMe">Nhớ tài khoản</label>
                    </p>
                    <a href="/account/forgotpassword" title="">Quyên mật khẩu?</a>
                    <button type="submit" id="Login">Đăng nhập</button>
                }
                <div class="extra-login">
                    <span></span>
                    <p>Bạn chưa có tài khoản? Đăng ký  <a href="/account/register" class="" style="color: #fb236a">tại đây</a></p>
                </div>
            </div>
        </div><!-- LOGIN POPUP -->
    }

    if (!url.ToLower().Contains("/register"))
    {
        <div class="account-popup-area signup-popup-box">
            <div class="account-popup">
                <span class="close-popup"><i class="la la-close"></i></span>
                <h3>Đăng Ký</h3>
                <div class="select-user">
                    <span id="candidateregister" class="registertype">Ứng Viên</span>
                    <span id="employerregister" class="registertype">Nhà Tuyển Dụng</span>
                </div>
                @*<form id="registerform">*@
                @using (Html.BeginForm("Register", "Account", FormMethod.Post, new { @class = "form-horizontal", role = "form", id = "registerform" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="cfield">
                        <input type="text" placeholder="Tên đăng ký" name="UserName" id="UserNameRegister" />
                        <i class="la la-user"></i>
                    </div>
                    <div class="cfield">
                        <input type="password" placeholder="Mật khẩu" name="PassRegister" id="PassRegister" />
                        <i class="la la-key"></i>
                    </div>
                    <div class="cfield">
                        <input type="password" placeholder="Nhập lại mật khẩu" name="ConfirmPassword" id="ConfirmPassRegister" />
                        <i class="la la-key"></i>
                    </div>
                    @*<div class="cfield">
                <input placeholder="06.11.2007" type="text" class="form-control datepicker">
                <i class="la la-key"></i>
            </div>*@
                    <div class="cfield">
                        <input type="text" placeholder="Email" name="EmailRegister" id="EmailRegister" />
                        <i class="la la-envelope-o"></i>
                    </div>
                    <div class="cfield">
                        <input type="text" placeholder="Số điện thoại" name="PhoneRegister" id="PhoneRegister" />
                        <i class="la la-phone"></i>
                    </div>
                    <button type="submit" id="Register">Đăng Ký</button>
                }
                <div class="extra-login">
                    <span></span>
                    <p>Bạn đã có tài khoản? Đăng nhập  <a href="/account/login" class="" style="color: #fb236a">tại đây</a></p>
                </div>
                @*</form>*@
                @*<div class="extra-login">
            <span>Or</span>
            <div class="login-social">
                <a class="fb-login" href="#" title=""><i class="fa fa-facebook"></i></a>
                <a class="tw-login" href="#" title=""><i class="fa fa-twitter"></i></a>
            </div>
        </div>*@
            </div>
        </div><!-- SIGNUP POPUP -->
    }
}
